Page MenuHomeFreeBSD

[new port] devel/zanata-platform: web-based translation platform
ClosedPublic

Authored by dbaio on Apr 20 2019, 1:55 PM.

Details

Summary
Add devel/zanata-platform: Zanata is a web-based translation platform

Zanata is a web-based translation platform for managing localization projects.
Localization (L10n) is the process of translating software or documentation into 
different languages.

Zanata platform is designed for translators, content creators and developers to
manage localization projects.

WWW: http://zanata.org/

#Reviewed by:
#Differential Revision:	XXX

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

dbaio created this revision.Apr 20 2019, 1:55 PM
lwhsu requested changes to this revision.Apr 22 2019, 4:16 AM

Overall this looks good, please check my comments. Thanks for working on this!

devel/zanata-platform/Makefile
19 ↗(On Diff #56426)

Is this really a required dependency? I think could be an optional dependency: http://docs.zanata.org/en/release/user-guide/system-admin/configuration/installation/

21 ↗(On Diff #56426)

It seems Zanata needs a mysql server to store data, but which is not "using" a mysql server. In other words, Zanata and mysql can be installed on different machines. Also, it seems we already pull in the mysql connector so there it doesn't need pull in mysql-client, either.

84 ↗(On Diff #56426)

Having this file with weak default password in the installation makes me very nervous, can we at least just use a pkg-message to some (other) documents to guide users to initial the admin user data?

devel/zanata-platform/files/admin-user-setup.sql
1 ↗(On Diff #56426)

I hope this file can mot be included in this port, which is a very insecure default.

devel/zanata-platform/files/pkg-message.in
28 ↗(On Diff #56426)

Perhaps we also need to guide user to edit /etc/rc.conf or use sysrc(8).

devel/zanata-platform/pkg-plist
4 ↗(On Diff #56426)

@sample?

This revision now requires changes to proceed.Apr 22 2019, 4:16 AM
lwhsu added a comment.EditedApr 22 2019, 4:18 AM

BTW, there seems a leading white space in each line of your draft commit message.

dbaio planned changes to this revision.Apr 25 2019, 1:04 AM

@lwhsu thanks for reviewing it, I'll do some tests and then update the review.

devel/zanata-platform/Makefile
19 ↗(On Diff #56426)

right, I'll change this

21 ↗(On Diff #56426)

ok, do you think it's worth to have another optional dependency or just a message about a database in the pkg-message?

84 ↗(On Diff #56426)

we can have another approach on this, defining a specific username as admin: advanced-configuration
I'll test it first.

devel/zanata-platform/files/admin-user-setup.sql
1 ↗(On Diff #56426)

testing another approach

devel/zanata-platform/pkg-plist
4 ↗(On Diff #56426)

wildfly already have a standalone.xml and standalone.xml.sample, I didn't mark it as @sample because of this, the user needs to copy it.

dbaio edited the summary of this revision. (Show Details)Apr 25 2019, 1:08 AM
lwhsu added inline comments.Apr 25 2019, 6:39 AM
devel/zanata-platform/Makefile
21 ↗(On Diff #56426)

Can Zanata use other database? If it can only use mysql and we pulled in mysql connector, having a note to user to setup db connection settings should be fine.

84 ↗(On Diff #56426)

This looks better to me. I'm not sure using sql commands to create user is the official recommended way, if it really is, I think point to the document is enough. Having that .sql file installed on the system doesn't make much sense to me.

devel/zanata-platform/pkg-plist
4 ↗(On Diff #56426)

Ok, thanks for clarify.

dbaio updated this revision to Diff 56795.Apr 28 2019, 9:02 PM

I tested the other approach suggested at configuration but the registration page is blocked for anonymous users, an admin needs to enable it.
More info here:
https://zanata.atlassian.net/browse/ZNTA-2083
https://zanata.atlassian.net/browse/ZNTA-1626

So I removed the .sql and added some notes in the pkg-message about this step.
Added rc.conf instructions.

Removed MySQL dependency and Clamav is now optional.

dbaio marked 8 inline comments as done.Apr 28 2019, 9:04 PM
linimon retitled this revision from Add devel/zanata-platform to [new port] devel/zanata-platform: web-based translation platform.May 2 2019, 6:22 AM
lwhsu accepted this revision.May 2 2019, 8:21 PM

I haven't had time to setup a server to test myself, but this port looks good to me. Thanks for the work!

This revision is now accepted and ready to land.May 2 2019, 8:21 PM
mat added inline comments.May 3 2019, 7:05 AM
devel/zanata-platform/Makefile
10 ↗(On Diff #56795)

Both files are versionned, this is probably not needed.

37 ↗(On Diff #56795)

any reason the default is almost the oldest possible version ?

devel/zanata-platform/files/pkg-message.in
3–44 ↗(On Diff #56795)

This file is really, really, really too long, nobody will ever read it (and probably never see it either). All this should probably be removed, keep only the link, it probably contains all of this.

dbaio added inline comments.May 3 2019, 5:53 PM
devel/zanata-platform/Makefile
10 ↗(On Diff #56795)

right, I'll remove it.

37 ↗(On Diff #56795)

All Zanatta installations and instructions that I saw are using wildfly 9.X or 10.X.

Their official container is using 10.X, see here, so I presumed that is safe to use the same version as default.

devel/zanata-platform/files/pkg-message.in
3–44 ↗(On Diff #56795)

The instructions are fragmented, we don't have a single link for it.

What about removing this from pkg-message and install instructions into DATADIR? And inform users about it in the pkg-message?

lwhsu added inline comments.May 3 2019, 6:37 PM
devel/zanata-platform/files/pkg-message.in
3–44 ↗(On Diff #56795)

While I feel it's fine to have all these in pkg-message, how about this: let's put these instructions on wiki and put the link here?

dbaio added inline comments.May 3 2019, 7:01 PM
devel/zanata-platform/files/pkg-message.in
3–44 ↗(On Diff #56795)

For me it's fine.

We can copy Jenkins structure and insert a Install page:
https://wiki.freebsd.org/Zanata --> Home (to be written)
https://wiki.freebsd.org/Zanata/Setup --> Setup instructions like Jenkins (to be written)
https://wiki.freebsd.org/Zanata/Install --> Port install instructions here!

lwhsu added inline comments.May 4 2019, 9:21 PM
devel/zanata-platform/files/pkg-message.in
3–44 ↗(On Diff #56795)

I think it's fine.

ygy accepted this revision.May 6 2019, 3:48 AM

Not a ports committer, but it looks good to me!

dbaio updated this revision to Diff 57157.May 8 2019, 12:37 AM

Add changes to pkg-message, now the instructions are on the FreeBSD Wiki.

This revision now requires review to proceed.May 8 2019, 12:37 AM
dbaio added a reviewer: mat.May 8 2019, 12:43 AM
dbaio marked an inline comment as done.
dbaio updated this revision to Diff 57159.
ygy accepted this revision.May 8 2019, 2:47 AM
This revision is now accepted and ready to land.May 8 2019, 2:47 AM
lwhsu accepted this revision.May 8 2019, 5:54 AM
This revision was automatically updated to reflect the committed changes.